//  Description:
//      Interface to all type convertors
//
//
//  Author: Chip Watson

package cdev.data;

interface DataConvertor 
{
  public byte   byteValue(Object data);
  public short  shortValue(Object data);
  public int    intValue(Object data);
  public long   longValue(Object data);
  public float  floatValue(Object data);
  public double doubleValue(Object data);
  public String stringValue(Object data);

  public byte[]   byteArray(Object data);
  public short[]  shortArray(Object data);
  public int[]    intArray(Object data);
  public long[]   longArray(Object data);
  public float[]  floatArray(Object data);
  public double[] doubleArray(Object data);
  public String[] stringArray(Object data);
}


