/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 * Revision History:
 *   08/07/00   Release version 0.4 (Initial version).
 *
 */

package adm.event;

import java.util.*;

/**
 * CTraceListener interface
 *
 * @version   0.4  08/07/00
 * @author    Ying Chen, Chip Watson
 *            
 * @since     adm0.4
 */
public interface CTraceListener extends EventListener {

  public void receivedNewData (CTraceEvent event);


}

