//---------------------------------------------------------------------------
// Copyright (c) 1996,1997 Southeastern Universities Research Association,
//                         Continuous Electron Beam Accelerator Facility
//
// This software was developed under a United States Government license
// described in the NOTICE file included as part of this distribution.
//----------------------------------------------------------------------------
//
//  Description:
//	Java implementation of cdevCallback class (deprecated).
//
//  Issue:
//      1) What's the completion code for in this scheme of callbacks.
//
//  Author: Cuong Quach
//
//  Based on work by Mr. Walt Akers and Mr. Chip Watson of Jefferson Labs.
//                                       
//----------------------------------------------------------------------------
// Revision History:
//
// 10-8-96 : created CQ.
//
//----------------------------------------------------------------------------

package cdev;

import cdev.data.*;

/**
 * deprecated -- Use DeviceListener instead.
 * @see DeviceListener
 */
public interface Callback
{
  public void execute ( int        CompletionCode  
		       ,Device     device
		       ,String     message
		       ,Data       result   );  // this the is result from server

}  // end Callback interface
