//  Description:
//      Java implementation of cdevDataEntry class.
//
//  Issues:
//	For java arrays, which is the "first" dimension? 
//
//  Author: Chip Watson
//  Modified: M.C

package cdev.data;

class ByteConvertor implements DataConvertor {
  ByteConvertor () {}

  public byte byteValue(Object data) {return ((byte [])data)[0];}
  public short shortValue(Object data) {return (short)((byte [])data)[0];}
  public int intValue(Object data) {return (int)((byte [])data)[0];}
  public long longValue(Object data) {return (long)((byte [])data)[0];}
  public float floatValue(Object data) {return (float)((byte [])data)[0];}
  public double doubleValue(Object data) {return (double)((byte [])data)[0];}
  public String stringValue(Object data) {return new Byte(((byte [])data)[0]).toString();}

  public byte[] byteArray(Object data) {return ((byte [])data);}

  public short[] shortArray(Object data) {
    byte [] source = (byte []) data;
    short [] result = new short[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (short) source[i];
    }
    return result;
  }
  public int[] intArray(Object data) {
    byte [] source = (byte []) data;
    int [] result = new int[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (int) source[i];
    }
    return result;
  }

  public long[] longArray(Object data) {
   byte [] source = (byte []) data;
    long [] result = new long[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (long) source[i];
    }
    return result;
  }

  public float[] floatArray(Object data) {
    byte [] source = (byte []) data;
    float [] result = new float[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (float) source[i];
    }
    return result;
  }

  public double[] doubleArray(Object data) {
    byte [] source = (byte []) data;
    double [] result = new double[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (double) source[i];
    }
    return result;
  }

  public String[] stringArray(Object data) {
    byte [] source = (byte []) data;
    String [] result = new String[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = String.valueOf(source[i]);
    }
    return result;
  }
}





