//  Description:
//      Java implementation of cdevDataEntry class.
//
//  Issues:
//	For java arrays, which is the "first" dimension? 
//
//  Author: Marc Constanty (M.C)

package cdev.data;

class ShortConvertor implements DataConvertor {
  ShortConvertor () {}

  public byte byteValue(Object data) {return (byte)((short [])data)[0];}
  public short shortValue(Object data) {return (short)((short [])data)[0];}
  public int intValue(Object data) {return (int)((short [])data)[0];}
  public long longValue(Object data) {return (long)((short [])data)[0];}
  public float floatValue(Object data) {return (float)((short [])data)[0];}
  public double doubleValue(Object data) {return (double)((short [])data)[0];}
  public String stringValue(Object data) {return new Short(((short [])data)[0]).toString();}

  public byte[] byteArray(Object data) {
    short [] source = (short []) data;
    byte [] result = new byte[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (byte) source[i];
    }
    return result;
  }

  public short[] shortArray(Object data) {return (short [])data;}

  public int[] intArray(Object data) {
    short [] source = (short []) data;
    int [] result = new int[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (int) source[i];
    }
    return result;
  }
  
  public long[] longArray(Object data) {
    short [] source = (short []) data;
    long [] result = new long[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (long) source[i];
    }
    return result;
  }
     
  public float[] floatArray(Object data) {
    short [] source = (short []) data;
    float [] result = new float[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (float) source[i];
    }
    return result;
  }

  public double[] doubleArray(Object data) {
    short [] source = (short []) data;
    double [] result = new double[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (double) source[i];
    }
    return result;
  }
  
  public String[] stringArray(Object data) {
    short [] source = (short []) data;
    String [] result = new String[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = String.valueOf(source[i]);
    }
    return result;
  }
}





