package cdev.dir;

/**
 * One of the parameters of the method is not acceptable.
 *
 * This is most likely to happen in interactive programs where the
 * operator can manually enter a query. The client program should
 * catch this exception and enable the operator to correct his query.
 *
 * @author   J.Cuperus
 * @version  1.0
 */
public class BadQueryException extends DataNotFoundException {
  public BadQueryException() { };
  public BadQueryException(String message) { super(message); };
}
