package cdev.dir;

/**
 * Multiple values are returned when only one was expected.
 *
 * To correct this you must probably remove duplicate entries from the
 * database but it should be impossible to enter duplicate entries in
 * the database in the first place.
 *
 * @author   J.Cuperus
 * @version  1.0
 */
public class TooManyValuesException extends DataNotFoundException {
  public TooManyValuesException() { };
  public TooManyValuesException(String message) { super(message); };
}
